!set title=Paridad
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
author=Gang XIAO
email=xiao@unice.fr

ansorder=c
varcnt=17
prevarcnt=16
postvarcnt=0
replycnt=0
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=necesaria y suficiente
val7=necesaria (sólo)
val8=suficiente (sólo)
val9=ni necesaria ni suficiente
tmp0=!randitem 0,1

val10=$[rint($(tmp0))]

!ifval $val10=1
val11=$val7
!else
val11=$val8
!endif

!ifval $val10=1
val12=$val8
!else
val12=$val7
!endif
val13=$val6,$val7,$val8,$val9
val14=<i>ab</i>
val15=<i>a</i>+<i>b</i>

!ifval $val10=1
val16=$val14
!else
val16=$val15
!endif

!ifval $val10=1
val17=$val15
!else
val17=$val14
!endif
tmp0=!randitem 1,2

val18=$[rint($(tmp0))]
tmp0=!item $val18 of impar,par

val19=$(tmp0)
tmp0=!item $val18 of par,impar

val20=$(tmp0)
tmp0=!item $val18 of $val8,$val7

val21=$(tmp0)
choicename1=
choicegood1=$val21
choicebad1=$val13
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Sean <i>a</i> y <i>b</i> dos enteros.	<p>	"$val16 es $val19"	es una condición ____________&nbsp;para	$val17 sea $val20.
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=16,17,19,20
embedcnt=0
